Bug 296123 - Replacement of À not so good
Summary: Replacement of À not so good
Status: RESOLVED FIXED
Alias: None
Product: kile
Classification: Unclassified
Component: editor (show other bugs)
Version: 2.1.1
Platform: Mageia RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Michel Ludwig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-16 08:31 UTC by Olivier Delaune
Modified: 2012-04-01 17:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Delaune 2012-03-16 08:31:50 UTC
Hello, I use actually kile 2.1.1 with KDE 4.6.5. I write in French and so I use option to replace automatically "special" letters like é, è, à, ... by \'e, \`e, \`a, ... It works fine for most of them but I found a problem with the letter "À". Indeed, kile replace À by \`a. With my keyboard, I can write directly À typing on à while caps lock is enabled. Yet, kile does not car about Caps lock when it replaces caracteres with diacritics. IS it possible to replace À by \`A by checking if caps lock is enabled?
Thanks
Comment 1 Olivier Delaune 2012-03-19 09:32:27 UTC
There is the same problem for É, È and Ç. 
I am not a Qt expert but the code 
if (ke->modifiers() == Qt::ShiftModifier)
in eventfilter.cpp should be replace by something like
if (ke->modifiers() == Qt::CapsLockOn)
Comment 2 Michel Ludwig 2012-04-01 16:53:02 UTC
Git commit 7e379f2f14ea0b4b2fad7e66beec5eb982880780 by Michel Ludwig.
Committed on 01/04/2012 at 18:50.
Pushed by mludwig into branch '2.1'.

Correctly convert special characters into LaTeX that were typed with caps lock enabled

This fix works from KDE 4.3 and upwards as the class 'KModifierKeyInfo' is used.

M  +47   -29   src/eventfilter.cpp
M  +10   -1    src/eventfilter.h

http://commits.kde.org/kile/7e379f2f14ea0b4b2fad7e66beec5eb982880780
Comment 3 Michel Ludwig 2012-04-01 17:02:24 UTC
Git commit f9f2f1cc7355f266f199ab25c9d0b9b0c36b9a30 by Michel Ludwig.
Committed on 01/04/2012 at 18:59.
Pushed by mludwig into branch 'master'.

Correctly convert special characters into LaTeX that were typed with caps lock enabled

This fix works from KDE 4.3 and upwards as the class 'KModifierKeyInfo' is used.

M  +38   -29   src/eventfilter.cpp
M  +6    -1    src/eventfilter.h

http://commits.kde.org/kile/f9f2f1cc7355f266f199ab25c9d0b9b0c36b9a30